#
# spec file for package python-hiredis
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-hiredis
Version:        0.1.1
Release:        1.15
Url:            https://github.com/pietern/hiredis-py
Summary:        Python extension that wraps hiredis
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         hiredis-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif

%description
Python extension that wraps hiredis.

%prep
%setup -q -n hiredis-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Wed Apr 18 2012 alexandre@exatati.com.br
- Update to 1.1:
  - Sorry, no changelog atm.
* Sun Feb  5 2012 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
